/* 1440 */
body {
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-weight: weight;
  font-style: normal;
  margin: 0;
  padding: 0;
}

/*----------- container-------------- */
.container {
  width: min(100%, 1440px);
  margin: auto;
  padding-top: 98.4px;
  background-color: #012426;
}

/* --------------home page header---------- */
header {
  position: fixed;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 15px 96px;
  margin: auto;
  background-color: #012426;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  max-width: inherit;
  width: inherit;
  z-index: 1;
  box-shadow: 0 1px 0 #05bcca;
}
.header-burger-menu,
.header-xmark-menu {
  display: none;
}

.header-burger-menu:hover {
  text-shadow: 5px 5px 1px rgb(0, 0, 0);
  cursor: pointer;
}

.header-list {
  display: flex;
  justify-content: center;
}

.header-nav-list {
  display: flex;
  column-gap: 32px;
}

.nav-list {
  display: flex;
  align-items: center;
  column-gap: 36px;
  justify-content: space-between;
  color: #a1c3c9;
  font-size: 24px;
  line-height: 32px;
  letter-spacing: 0%;
}

.nav-list:hover {
  box-shadow: 0 0 20px rgb(0, 183, 255), 0 0 30px rgb(0, 195, 255),
    0 0 40px rgb(0, 238, 255), 0 0 50px rgb(0, 174, 255);
}

.logo-link :hover {
  text-shadow: 5px 5px 1px rgb(0, 0, 0);
  cursor: pointer;
}

.logo-link::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: #ff5722;
  transform: scaleX(0);
  transition: transform 0.3s ease-out;
}

.logo-link:hover::after {
  transform: scaleX(1);
}

.header-list2 {
  display: flex;
  justify-content: center;
  column-gap: 32px;
}

.header-icon-button {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 40px;
  opacity: 1;
  border-radius: 8px;
  border-width: 2px;
  box-shadow: 4px 4px 4px 1px black, inset 1px 1px 2px 1px;
  border: 2px solid #2ba5c4;
}

.header-icon-button:active {
  text-shadow: 1px 1px 1px black;
  box-shadow: inset 1px 1px 2px 1px black, inset -3px -3px 2px 1px;
  cursor: pointer;
}
.middle-button {
  border: none;
  background-color: #2ba5c4;
}
/* ---------home page section1----------- */
.section1 {
  width: 100%;
  height: 560px;
  background-image: url(../images/cover-guitar.png);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  display: flex;
  align-items: center;
  row-gap: 24px;
  padding-top: 72px;
  flex-direction: column;
}

.section1-text-and-icon {
  display: flex;
  align-items: center;
  gap: 24px;
  text-decoration: none;
}

.word-new {
  color: #ffffff;
  font-size: 32px;
  line-height: 36px;
  letter-spacing: 0%;
  transition: all 0.3s ease;
  cursor: pointer;
}

.word-new:hover {
  color: #05bcca;
  text-shadow: 0 0 10px rgba(5, 188, 202, 0.7);
  transform: scale(1.05);
}

.word-collection {
  color: #05bcca;
  font-size: 32px;
  line-height: 36px;
  letter-spacing: 0%;
  transition: all 0.3s ease;
  cursor: pointer;
}

.word-collection:hover {
  color: #e6edee;
  text-shadow: 0 0 10px rgba(234, 239, 240, 0.7);
  transform: scale(1.05);
}
.arrow-icon {
  transition: transform 0.3s ease;
}

.arrow-icon:hover {
  transform: translateX(5px);
  filter: brightness(1.2);
}

/* --------- home page section 2 ------- */

.home-page-section2 {
  background-color: #1a1a1a;
  padding: 94px;
  display: flex;
  flex-direction: column;
  align-items: center;
  row-gap: 56px;
  overflow-x: scroll;
}

.home-page-section2-all-image-title-button {
  display: flex;
  column-gap: 20px;
}

.home-page-section2-main-title {
  font-weight: 700;
  font-style: Bold;
  font-size: 36px;
  line-height: 52px;
  letter-spacing: 0%;
  color: #05bcca;
  border-bottom: 2px solid #05bcca;
  background-color: transparent;
  color: #05bcca;
  transition: all 0.4s ease;
}

.home-page-section2-main-title:hover {
  background-color: #05bcca;
  color: #012426;
  box-shadow: 0 0 20px rgba(5, 188, 202, 0.5);
}

.home-page-section2-container {
  display: flex;
  width: 100%;
  object-fit: cover;
  cursor: pointer;
  transition: 1s linear;
}

.home-page-section2-container:hover {
  box-shadow: 0 0 20px rgb(0, 140, 255), 0 0 30px rgb(0, 132, 255),
    0 0 40px blue, 0 0 50px rgb(0, 174, 255);
}

.home-page-section2-article-image-and-title {
  background-color: #2c4246;
  width: 100%;
  height: 331px;
  padding: 8px 8px 18px;
  display: flex;
  flex-direction: column;
  row-gap: 24px;
  cursor: pointer;
  border: 2px solid #05bcca;
}

.home-page-section2-article-image {
  max-width: 100%;
  height: 220px;
  object-fit: cover;
  object-position: center;
  cursor: pointer;
  transition: 1s linear;
}

.section2-article-title-and-button {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.product-info {
  display: block;
}

.section2-article-product-title {
  font-weight: 700;
  font-style: Bold;
  font-size: 16px;
  line-height: 27px;
  letter-spacing: 0%;
  color: #d9d9d9;
  transition: transform 0.3s ease;
}

.section2-article-product-title:hover {
  transform: translateX(5px);
  filter: brightness(1.2);
}

.section2-article-price {
  font-weight: 400;
  font-size: 16px;
  line-height: 27px;
  letter-spacing: 0%;
  color: #05bcca;
  transition: transform 0.3s ease;
}

.section2-article-price:hover {
  transform: translateX(5px);
  filter: brightness(1.2);
}
.home-page-section2-article-button {
  width: 58;
  height: 28;
  left: 224px;
  opacity: 1;
  border-radius: 4px;
  border: none;
  background: #c46a2b;
  cursor: pointer;
  font-weight: 400;
  font-size: 12px;
  line-height: 20px;
  letter-spacing: 0%;
  color: #ffffff;
  box-shadow: 1px 1px 1px 1px black, inset 1px 1px 2px 1px #c46a2b;
}

.home-page-section2-article-button:active {
  text-shadow: 1px 1px 1px black;
  box-shadow: inset 1px 1px 2px 1px black, inset -3px -3px 2px 1px;
  cursor: pointer;
}

.section2-article-button {
  width: 27px;
  height: 27px;
  left: 224px;
  opacity: 1;
  background: #c46a2b;
  left: 198px;
  border-radius: 4px;
  border: none;
  cursor: pointer;
  font-weight: 400;
  font-size: 12px;
  line-height: 20px;
  letter-spacing: 0%;
  color: #ffffff;
  box-shadow: 1px 1px 1px 1px black, inset 1px 1px 2px 1px #c46a2b;
}

.section2-article-button:active {
  text-shadow: 1px 1px 1px black;
  box-shadow: inset 1px 1px 2px 1px black, inset -3px -3px 2px 1px;
  cursor: pointer;
}

/* ----------------------catalog section1--------------------- */
.catalog-section1 {
  display: flex;
  padding: 192px 94px 64px 94px;
  justify-content: space-between;
}

.filter-section {
  display: flex;
  align-items: center;
  cursor: pointer;
  display: flex;
  align-items: center;
  color: #d9d9d9;
  font-family: Arial, sans-serif;
  font-size: 14px;
}

.filter-img {
  transition: transform 0.5s ease;
}

.filter-img:hover {
  transform: translateX(10px);
  filter: brightness(2.2);
}

.arrow-down-icon,
.arrow-left-icon,
.arrow-right-icon {
  display: none;
}

.filter-text {
  font-weight: bold;
  text-transform: uppercase;
  font-weight: 700;
  font-style: Bold;
  font-size: 24px;
  line-height: 32px;
  letter-spacing: 0%;
  transition: all 0.3s ease;
  cursor: pointer;
}

.filter-text:hover {
  color: #05bcca;
  text-shadow: 0 0 10px rgba(5, 188, 202, 0.7);
  transform: scale(1.05);
}

.sort-section {
  display: flex;
  align-items: center;
}

.sort-text {
  margin-right: 10px;
  color: #d9d9d9;
  font-family: Inter;
  font-weight: 700;
  font-style: Bold;
  font-size: 24px;
  line-height: 32px;
  letter-spacing: 0%;
}

.sort-dropdown {
  padding: 5px 10px;
  border-radius: 3px;
  border-radius: 3px;
  background-color: #a1c3c9;
  color: #2c4246;
  cursor: pointer;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  letter-spacing: 0%;
}

.sort-dropdown:focus {
  outline: none;
  border-color: #33ccff;
}

/* --------------------catalog card section1------------------ */
.catalog-cards-section1 {
  display: flex;
  flex-direction: column;
  padding-right: 96px;
  padding-left: 96px;
  row-gap: 40px;
  /* padding-block: 64px; */
}

.catalog-section2-article-image-and-title {
  width: 404px;
  height: 400px;
  display: flex;
  flex-direction: column;
  cursor: pointer;
  transition: 1s linear;
}
.catalog-section2-article-image-and-title:hover {
  box-shadow: 0 0 20px rgb(0, 140, 255), 0 0 30px rgb(2, 44, 83),
    0 0 40px rgb(4, 61, 99), 0 0 50px rgb(6, 76, 109);
}
.catalog-img {
  width: 404px;
  height: 400px;
  object-fit: cover;
  object-position: center;
  cursor: pointer;
  transition: 1s linear;
}
.catalog-img:hover {
  box-shadow: 0 0 20px rgb(0, 140, 255), 0 0 30px rgb(2, 44, 83),
    0 0 40px rgb(4, 61, 99), 0 0 50px rgb(6, 76, 109);
}

.section2-article-title-and-button {
  background-color: #2c4246;
  padding: 5px 8px;
}

/* .catalog-section1-guitar-img {
  width: 100%;
  object-fit: cover;
  object-position: center;
  cursor: pointer;
  transition: 1s linear;
} */

.catalog-cards-prise-text {
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-weight: 400;
  font-size: 16px;
  line-height: 27px;
  letter-spacing: 0%;
  color: #05bcca;
}
.catalog-cards-section1 {
  background-color: #012426;
}
.catalog-section1-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

/* ---------------------catalog pages section1 --------------------- */

.pagination-container {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  padding-bottom: 64px;
  color: #d9d9d9;
}

.pagination-btn {
  padding: 10px 20px;
  border: none;
  border-radius: 5px;
  font-size: 14px;
  font-weight: bold;
  cursor: pointer;
  transition: background-color 0.3s;
  display: flex;
  align-items: center;
  color: #ffffff;
  box-shadow: 1px 1px 1px 1px #070504, inset 1px 1px 2px 1px #080401;
}

.pagination-btn:active {
  text-shadow: 1px 1px 1px black;
  box-shadow: inset 1px 1px 2px 1px #141210, inset -3px -3px 2px 1px;
  cursor: pointer;
}

.previous-btn {
  background-color: #c46a2b;
  color: #d9d9d9;
  margin-right: 15px;
}

.next-btn {
  background-color: #05bcca;
  color: #d9d9d9;
  margin-left: 15px;
}

.page-status {
  font-size: 16px;
  color: #cccccc;
  white-space: nowrap;
}

.arrow-icon {
  font-size: 18px;
  line-height: 1;
}

.previous-btn .arrow-icon {
  margin-right: 5px;
}

.next-btn .arrow-icon {
  margin-left: 5px;
}

/* ----------------------contact page content-------------- */
.contact-section-container {
  width: 100%;
  height: 720px;
  background-image: url(../images/Rectangle\ 7.png);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  display: flex;
  flex-direction: row;
  align-items: center;
  row-gap: 32px;
  padding: 236px 201px 140px 201px;
}

.contact-page-container {
  display: flex;
  width: 100%;
  height: auto;
  background-color: #1a3a41;
  padding: 32px;
  border-radius: 10px;
  border: 2px solid #05bcca;
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.5);
  align-items: center;
  gap: 40px;
}

/* ---------------title-------------- */

.contact-header {
  align-items: center;
  font-weight: 700;
  font-style: Bold;
  font-size: 40px;
  line-height: 48px;
  letter-spacing: 0%;
  text-align: center;
  color: #f9d9d9;
  margin-right: 40px;
}

/* ------------------social media------------------ */
.contact-social-media {
  display: flex;
  gap: 72px;
  padding-left: 66px;
  padding-bottom: 66px;
}
.social-media-icons {
  box-shadow: 4px 4px 4px 1px black, inset 1px 1px 2px 1px #010b0e;
  border: none;
}

.social-media-icons:active {
  text-shadow: 1px 1px 1px black;
  box-shadow: inset 1px 1px 2px 1px black, inset -3px -3px 2px 1px;
  cursor: pointer;
}

/* ------------aplication form-------------- */
.social-icons-form {
  max-width: 100%;
  display: flex;
  align-items: center;
  color: white;
  border: none;
  border-radius: 8px;
  font-size: 1.2em;
  cursor: pointer;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
}

.contact-form {
  flex: 1;
}

.input-row {
  display: flex;
  gap: 60px;
  margin-bottom: 36px;
  margin-top: 64px;
}

.input-row input,
.contact-form textarea {
  max-width: 100%;
  display: flex;
  background-color: transparent;
  flex-direction: column;
  border: 1px solid rgba(255, 255, 255, 0.8);
  color: white;
  border-radius: 8px;
  width: 100%;
  box-sizing: border-box;
  width: 190px;
  height: 40px;
  opacity: 1;
  border-radius: 10px;
  border-width: 2px;
}

.input-row input:hover {
  background-color: #002b3f;
  color: #d9d9d9;
  margin-right: 15px;
}
img {
  max-width: 100%;
  height: auto;
}

.contact-form textarea {
  max-width: 100%;
  /* width: 100%; */
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin-bottom: 36px;
  width: 440px;
  height: 96px;
  top: 76px;
  opacity: 1;
  border-radius: 10px;
  border-width: 2px;
}

.contact-form textarea:hover {
  background-color: #002b3f;
  color: #d9d9d9;
  margin-right: 15px;
}

.send-message-btn {
  max-width: 100%;
  display: flex;
  background-color: #ff8c00;
  color: white;
  border: none;
  padding: 15px 20px;
  font-size: 1.1em;
  font-weight: 500;
  text-transform: uppercase;
  border-radius: 8px;
  cursor: pointer;
  width: 100%;
  height: 56px;
  top: 208px;
  opacity: 1;
  border-radius: 10px;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  letter-spacing: 0%;
  justify-content: center;
  outline: none;
  transition: 0.3s;
}

.send-message-btn:hover {
  box-shadow: 0 0 20px rgb(1, 44, 61), 0 0 30px rgb(3, 68, 121),
    0 0 40px rgb(2, 55, 99), 0 0 50px rgb(0, 174, 255);
}

/* -----------------------map-------------------- */
.map-container {
  width: 440px;
  height: 264px;
  opacity: 1;
  border-radius: 10px;
  flex: 1;
  overflow: hidden;
}

/* ------------------------footer -------------------------*/
footer {
  max-width: 100%;
  height: 276;
  opacity: 1;
  background: #2c4246;
  justify-content: center;
  column-gap: 186px;
  padding-block: 64px;
  display: flex;
}

.footer-brands {
  flex-direction: column;
  row-gap: 10px;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  letter-spacing: 0%;
  color: #d9d9d9;
}

.title-brands {
  font-weight: 400;
  font-size: 24px;
  line-height: 32px;
  letter-spacing: 0%;
  padding-bottom: 24px;
}

.footer-information {
  flex-direction: column;
  row-gap: 10px;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  letter-spacing: 0%;
  color: #d9d9d9;
}

.title-information {
  font-weight: 400;
  font-size: 24px;
  line-height: 32px;
  letter-spacing: 0%;
  padding-bottom: 24px;
}

.footer-contact {
  flex-direction: column;
  row-gap: 10px;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  letter-spacing: 0%;
  color: #d9d9d9;
}

.title-contact {
  font-weight: 400;
  font-size: 24px;
  line-height: 32px;
  letter-spacing: 0%;
  padding-bottom: 24px;
}

.footer-social-media {
  display: flex;
  gap: 16px;
}
